#include <bits/stdc++.h>
using namespace std;
void ispis(int a){
    vector<vector<int>> v(a+1, vector<int>(a+1,1));
    for (int i=1;i<= a;i++){
        for(int j = 1; j <= a-i;j++){
            v[i][j]=0;
        }
    }
    for (int i=1;i<= a;i++){
        for(int j = 1; j <= a;j++){
            cout<<v[i][j]<<" ";
        }cout<<"\n";
    }
}
int main()
{
    std::ios_base::sync_with_stdio(false);
    std::cin.tie(NULL);
    int t;cin >> t;
    for(int i=0; i < t; i++){
        int a, b;
        cin >> a >> b;
        if(a!=b)cout<<-1<<"\n";
        else ispis(a);
    }
}